Get Position Yield
curl --request GET \
--url https://api.defiorbit.xyz/v1/lending/aavev3/position/{chain_id}/yield \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.defiorbit.xyz/v1/lending/aavev3/position/{chain_id}/yield', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.defiorbit.xyz/v1/lending/aavev3/position/{chain_id}/yield"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.defiorbit.xyz/v1/lending/aavev3/position/{chain_id}/yield"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.defiorbit.xyz/v1/lending/aavev3/position/{chain_id}/yield")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.defiorbit.xyz/v1/lending/aavev3/position/{chain_id}/yield")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.defiorbit.xyz/v1/lending/aavev3/position/{chain_id}/yield",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"chain_id": 8453,
"wallet": "0xbf7620d0377b0660a6cbaef5cdfe2e00eddc1495",
"market_id": "main",
"daily_supply_interest_usd": "0.08",
"daily_borrow_interest_usd": "0.35",
"net_daily_interest_usd": "-0.27",
"net_apy": "-4.47",
"position_leverage": "1.28",
"weighted_supply_apy": "1.63",
"weighted_borrow_apy": "4.48",
"projected_earnings_detailed": {
"simple": {
"oneDay": "-0.27",
"sevenDays": "-1.89",
"thirtyDays": "-7.99",
"oneYear": "-97.22"
},
"compounding": {
"sevenDays": "-1.89",
"thirtyDays": "-8.10",
"oneYear": "-99.40"
}
}
},
"request_id": "req_..."
}{
"error": {
"code": "INVALID_PARAMETER",
"message": "page must be a positive integer.",
"request_id": "req_..."
}
}{
"error": {
"code": "INVALID_API_KEY",
"message": "Missing API key.",
"request_id": "req_..."
}
}{
"error": {
"code": "INSUFFICIENT_CREDITS",
"message": "Insufficient API credits.",
"request_id": "req_..."
}
}{
"error": {
"code": "ACCOUNT_SUSPENDED",
"message": "This organization is suspended.",
"request_id": "req_..."
}
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Rate limit exceeded. Please try again later.",
"request_id": "req_..."
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "An unexpected error occurred.",
"request_id": "req_..."
}
}Get Position Yield
Daily/weekly/monthly/yearly interest earned vs. paid, plus net APY. Optional market_id (default main) and target_health_factor (default 1.5).
Credits: 8 per successful call.
GET
https://api.defiorbit.xyz
/
v1
/
lending
/
aavev3
/
position
/
{chain_id}
/
yield
Get Position Yield
curl --request GET \
--url https://api.defiorbit.xyz/v1/lending/aavev3/position/{chain_id}/yield \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.defiorbit.xyz/v1/lending/aavev3/position/{chain_id}/yield', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.defiorbit.xyz/v1/lending/aavev3/position/{chain_id}/yield"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.defiorbit.xyz/v1/lending/aavev3/position/{chain_id}/yield"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.defiorbit.xyz/v1/lending/aavev3/position/{chain_id}/yield")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.defiorbit.xyz/v1/lending/aavev3/position/{chain_id}/yield")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.defiorbit.xyz/v1/lending/aavev3/position/{chain_id}/yield",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"chain_id": 8453,
"wallet": "0xbf7620d0377b0660a6cbaef5cdfe2e00eddc1495",
"market_id": "main",
"daily_supply_interest_usd": "0.08",
"daily_borrow_interest_usd": "0.35",
"net_daily_interest_usd": "-0.27",
"net_apy": "-4.47",
"position_leverage": "1.28",
"weighted_supply_apy": "1.63",
"weighted_borrow_apy": "4.48",
"projected_earnings_detailed": {
"simple": {
"oneDay": "-0.27",
"sevenDays": "-1.89",
"thirtyDays": "-7.99",
"oneYear": "-97.22"
},
"compounding": {
"sevenDays": "-1.89",
"thirtyDays": "-8.10",
"oneYear": "-99.40"
}
}
},
"request_id": "req_..."
}{
"error": {
"code": "INVALID_PARAMETER",
"message": "page must be a positive integer.",
"request_id": "req_..."
}
}{
"error": {
"code": "INVALID_API_KEY",
"message": "Missing API key.",
"request_id": "req_..."
}
}{
"error": {
"code": "INSUFFICIENT_CREDITS",
"message": "Insufficient API credits.",
"request_id": "req_..."
}
}{
"error": {
"code": "ACCOUNT_SUSPENDED",
"message": "This organization is suspended.",
"request_id": "req_..."
}
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Rate limit exceeded. Please try again later.",
"request_id": "req_..."
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "An unexpected error occurred.",
"request_id": "req_..."
}
}Authorizations
Path Parameters
Chain ID.
Example:
8453
Query Parameters
Wallet address.
Example:
"0xbf7620d0377b0660a6cbaef5cdfe2e00eddc1495"
Default: main. Values: main, lido, horizon.
Available options:
main, lido, horizon Target health factor. Default: 1.5.